Bug 630667 - Thread desctructor leaks
Summary: Thread desctructor leaks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 640720
TreeView+ depends on / blocked
 
Reported: 2010-09-06 15:36 UTC by Petr Pisar
Modified: 2011-04-18 11:59 UTC (History)
10 users (show)

Fixed In Version: perl-5.12.2-133.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 640720 (view as bug list)
Environment:
Last Closed: 2010-09-23 05:00:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 77352 None None None Never

Description Petr Pisar 2010-09-06 15:36:52 UTC
This cycle consumes more and more memory:

use threads;

sub ThreadRoutine {}

while (1) {
    threads->new(\&ThreadRoutine)->join;
}

perl-5.10.1 and higher affected (i.e. F-12 is clean).

Comment 1 Fedora Update System 2010-09-07 12:37:42 UTC
perl-5.10.1-119.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-5.10.1-119.fc13

Comment 2 Fedora Update System 2010-09-07 12:42:39 UTC
perl-5.12.2-133.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-5.12.2-133.fc14

Comment 3 Fedora Update System 2010-09-07 18:36:44 UTC
perl-5.12.2-133.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-5.12.2-133.fc14

Comment 4 Fedora Update System 2010-09-23 05:00:13 UTC
perl-5.10.1-119.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-09-23 12:54:00 UTC
perl-5.12.2-133.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.